//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USEFORM("main.cpp", FMain);
USEFORM("CPanel.cpp", FCPanel);
USEFORM("New.cpp", FNew);
USEFORM("Version.cpp", FVersion);
USEFORM("Param.cpp", FParam);
USEFORM("Graph.cpp", FGraph);
USEFORM("Preview.cpp", FPreview);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int) {
  try {
    Application->Initialize();
    Application->HelpFile = "qcad.hlp";
    Application->Title = "QCAD";
    Application->CreateForm(__classid(TFMain), &FMain);
                 Application->CreateForm(__classid(TFCPanel), &FCPanel);
                 Application->CreateForm(__classid(TFNew), &FNew);
                 Application->CreateForm(__classid(TFVersion), &FVersion);
                 Application->CreateForm(__classid(TFParam), &FParam);
                 Application->CreateForm(__classid(TFGraph), &FGraph);
                 Application->CreateForm(__classid(TFPreview), &FPreview);
                 Application->Run();
  } catch (Exception &exception) {
    Application->ShowException(&exception);
  }
  return 0;
}
//---------------------------------------------------------------------------
